#ifndef __OBJECT_CUSTOM_H__
#define __OBJECT_CUSTOM_H__

#include "Common.h"

namespace AScript {

class Class_Custom : public Class {
public:
	Class_Custom(const Class_Custom &cls);
	Class_Custom(Class *pClassSuper, const Symbol *pSymbol);
	virtual ~Class_Custom();
	virtual bool IsCustom() const;
	virtual Object *CreateDescendant(Environment &env, Signal sig, Class *pClass);
};

}

#endif
